<?php
session_start();
if( $_SESSION["user"] == "" || $_SESSION["passwd"] == "" ) {
//   header("Location: index.php");
}

$mode = isset($_POST['mode']) ? $_POST["mode"]  : "";
$cuenta = isset($_POST['cuenta']) ? $_POST["cuenta"]  : "";

if( $mode != "delete" ) {

   $cuenta = isset($_POST['cuenta']) ? $_POST["cuenta"]  : "";
   $denominacion = isset($_POST['denominacion']) ? $_POST['denominacion'] : "";
   $cuentasuma = isset($_POST['cuentasuma']) ? $_POST['cuentasuma'] : "";
   $columna = isset($_POST['columna']) ? $_POST['columna'] : "";
   $columnares = isset($_POST['columnares']) ? $_POST['columnares'] : "";
   $sumariza = isset($_POST['sumariza']) ? $_POST['sumariza'] : "";
   $recibe = isset($_POST['recibe']) ? $_POST['recibe'] : "";
   $observa = isset($_POST['observaciones']) ? $_POST['observaciones'] : "";
   $salto = isset($_POST['salto']) ? $_POST['salto'] : "";
}

include_once('db_config.php');
ini_set('max_execution_time', 120);

   switch( $mode ) {
      case "update":
         $sql = sprintf( "update cuentas set denominacion='%s', cuenta_sumarizacion='%s', columna='%s', columna_sumassaldos='%s', sumariza='%s', asientos='%s', salto='%s', observaciones='%s' where cuenta = '%s'",
                         $denominacion, $cuentasuma, $columna, $columnares, $sumariza, $recibe, $salto, $observaciones, $cuenta );
         $result = $conn->query($sql);
         mysqli_free_result( $result );
         echo "{\"status\":\"Ok\" }";
         break;

      case "append":
         $sql = sprintf( "insert into cuentas(`Id`,`cuenta`,`denominacion`,`cuenta_sumarizacion`,`columna`,`columna_sumassaldos`,`sumariza`,`asientos`,`salto`,`observaciones`) VALUES(0,'%s','%s','%s','%s','%s','%s','%s','%s','%s')", 
                         $cuenta, $denominacion, $cuentasuma, $columna, $columnares, $sumariza, $recibe, $salto, $observaciones );
          $result = $conn->query($sql);
          mysqli_free_result( $result );    
          echo "{\"status\":\"Ok\" }";
          break;

      case "delete":
          $sql = sprintf( "update cuentas set borrado=1 where cuenta='%s'", $cuenta );
          $result = $conn->query($sql);
          mysqli_free_result( $result );    
          echo "{\"status\":\"Ok\" }";
          break;
   }     
   mysqli_close($conn);
?>


